import numpy as np


def parabola(a: float, b: float, c: float, xs: np.ndarray):
    return a*xs**2 + b*xs + c


if __name__ == "__main__":
    import matplotlib.pyplot as plt

    xs = np.linspace(-6, 6)

    ys = parabola(-1.5, .5, 25, xs)

    plt.plot(xs, ys)
    plt.grid(alpha=.5, linestyle='--')

    # Adds axis to the plot
    ax = plt.gca()
    ax.spines['left'].set_position('zero')
    ax.spines['bottom'].set_position('zero')
    ax.spines['right'].set_color('none')
    ax.spines['top'].set_color('none')

    plt.show()
